Irssi is a modular IRC client that currently has only text mode user

interface, but 80-90% of the code isn't text mode specific, so other UIs could
be created pretty easily. Also, Irssi isn't really even IRC specific anymore,
there's already a working SILC module available. Support for other protocols
like ICQ could be created some day too.
This commit is contained in:
reinhard 2000-12-26 22:33:28 +00:00
parent f72e14675a
commit db7761ab91
10 changed files with 388 additions and 0 deletions

49
net/irssi/Makefile Normal file
View File

@ -0,0 +1,49 @@
# $OpenBSD: Makefile,v 1.1.1.1 2000/12/26 22:33:28 reinhard Exp $
DISTNAME= irssi-0.7.97.2
CATEGORIES= net
NEED_VERSION= 1.346
MAINTAINER= Reinhard J. Sammer <reinhard@openbsd.org>
HOMEPAGE= http://www.irssi.org
MASTER_SITES= ${HOMEPAGE}/files/ \
http://www.pl.irssi.org/files/
PERMIT_PACKAGE_CDROM= Yes
PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
LIB_DEPENDS= glib.1.2::devel/glib
SEPARATE_BUILD= Concurrent
CONFIGURE_STYLE= autoconf
CONFIGURE_ARGS+= --enable-ipv6
CONFIGURE_ARGS+= --with-proxy --with-socks
CONFIGURE_ARGS+= --with-textui --enable-curses-windows
CONFIGURE_ARGS+= --enable-perl=no
FLAVORS+= gettext
FLAVOR?=
.if ${FLAVOR:L:Mgettext}
CONFIGURE_ARGS+= --with-gettext --with-included-gettext
LIB_DEPENDS+= intl.1::devel/gettext
.else
CONFIGURE_ARGS+= --without-gettext
.endif
WRKDIST= ${WRKDIR}/irssi-0.7.97
SAMPLE= config default.theme colorless.theme
post-install:
${INSTALL_DATA_DIR} ${PREFIX}/share/examples/irssi
(cd ${WRKDIST} && ${INSTALL_DATA} ${SAMPLE} \
${PREFIX}/share/examples/irssi)
.include <bsd.port.mk>

3
net/irssi/files/md5 Normal file
View File

@ -0,0 +1,3 @@
MD5 (irssi-0.7.97.2.tar.gz) = bf177d4f1b3655cc01e2dacc6231af73
RMD160 (irssi-0.7.97.2.tar.gz) = 37a2dea3d86ef57eec29f3b44631a3df2bc86cb5
SHA1 (irssi-0.7.97.2.tar.gz) = 5f17100805b805f8ffcd1d0336329fd2e3c45fe1

View File

@ -0,0 +1,37 @@
$OpenBSD: patch-configure_in,v 1.1.1.1 2000/12/26 22:33:28 reinhard Exp $
--- configure.in.orig Sun Dec 3 08:23:18 2000
+++ configure.in Mon Dec 25 15:33:10 2000
@@ -179,9 +179,9 @@ AC_CHECK_LIB(socket, socket, [
PROG_LIBS="$PROG_LIBS -lsocket"
])
-AC_CHECK_LIB(nsl, inet_addr, [
- PROG_LIBS="$PROG_LIBS -lnsl"
-], -lsocket)
+dnl AC_CHECK_LIB(nsl, inet_addr, [
+dnl PROG_LIBS="$PROG_LIBS -lnsl"
+dnl ], -lsocket)
dnl * gcc specific options
if test "x$ac_cv_prog_gcc" = "xyes"; then
@@ -263,16 +263,16 @@ if test "x$want_textui" = "xyes"; then
AC_CHECK_CURSES
if test "x$has_ncurses" != "x"; then
- AC_CHECK_LIB(ncurses, use_default_colors, [
+ AC_CHECK_LIB(curses, use_default_colors, [
AC_DEFINE(HAVE_NCURSES_USE_DEFAULT_COLORS)
],, $CURSES_LIBS)
- AC_CHECK_LIB(ncurses, idcok, [
+ AC_CHECK_LIB(curses, idcok, [
AC_DEFINE(HAVE_CURSES_IDCOK)
],, $CURSES_LIBS)
- AC_CHECK_LIB(ncurses, resizeterm, [
+ AC_CHECK_LIB(curses, resizeterm, [
AC_DEFINE(HAVE_CURSES_RESIZETERM)
],, $CURSES_LIBS)
- AC_CHECK_LIB(ncurses, wresize, [
+ AC_CHECK_LIB(curses, wresize, [
AC_DEFINE(HAVE_CURSES_WRESIZE)
],, $CURSES_LIBS)
elif test "x$has_curses" = "xtrue"; then

View File

@ -0,0 +1,21 @@
$OpenBSD: patch-curses_m4,v 1.1.1.1 2000/12/26 22:33:28 reinhard Exp $
--- curses.m4.orig Sat Nov 11 18:00:36 2000
+++ curses.m4 Mon Dec 25 14:20:47 2000
@@ -131,7 +131,7 @@ AC_DEFUN(AC_CHECK_CURSES,[
if test x$withval = xno ; then
search_ncurses=false
elif test x$withval != xyes ; then
- AC_NCURSES($withval/include, ncurses.h, -L$withval/lib -lncurses, -I$withval/include, "ncurses on $withval/include")
+ AC_NCURSES($withval/include, ncurses.h, -L$withval/lib -lcurses, -I$withval/include, "ncurses on $withval/include")
fi
)
@@ -231,7 +231,7 @@ AC_DEFUN(AC_NCURSES, [
AC_DEFUN(AC_SEARCH_NCURSES, [
AC_CHECKING("location of ncurses.h file")
- AC_NCURSES(/usr/include, ncurses.h, -lncurses,, "ncurses on /usr/include")
+ AC_NCURSES(/usr/include, ncurses.h, -lcurses,, "ncurses on /usr/include")
AC_NCURSES(/usr/include/ncurses, ncurses.h, -lncurses, -I/usr/include/ncurses, "ncurses on /usr/include/ncurses")
AC_NCURSES(/usr/local/include, ncurses.h, -L/usr/local/lib -lncurses, -I/usr/local/include, "ncurses on /usr/local")
AC_NCURSES(/usr/pkg/include, ncurses.h, -L/usr/pkg/lib -lncurses, -I/usr/pkg/include, "ncurses on /usr/pkg")

1
net/irssi/pkg/COMMENT Normal file
View File

@ -0,0 +1 @@
modular IRC client with many features (ipv6,socks,proxy)

49
net/irssi/pkg/DEINSTALL Normal file
View File

@ -0,0 +1,49 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1.1.1 2000/12/26 22:33:29 reinhard Exp $
#
# De-installation setup of irssi
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -rf ${CONFIG_DIR}/irssi/"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
do_notice "$1"
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

7
net/irssi/pkg/DESCR Normal file
View File

@ -0,0 +1,7 @@
Irssi is a modular IRC client that currently has only text mode user
interface, but 80-90% of the code isn't text mode specific, so other UIs could
be created pretty easily. Also, Irssi isn't really even IRC specific anymore,
there's already a working SILC module available. Support for other protocols
like ICQ could be created some day too.
WWW: ${HOMEPAGE}

71
net/irssi/pkg/INSTALL Normal file
View File

@ -0,0 +1,71 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2000/12/26 22:33:29 reinhard Exp $
#
# Pre/post-installation setup of irssi
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/irssi
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/irssi
# Function: install configuration files
#
do_install_conf()
{
install -d -o root -g wheel ${CONFIG_DIR}
install -o root -g wheel -m 0644 ${SAMPLE_CONFIG_DIR}/colorless.theme ${CONFIG_DIR}
install -o root -g wheel -m 0644 ${SAMPLE_CONFIG_DIR}/config ${CONFIG_DIR}
install -o root -g wheel -m 0644 ${SAMPLE_CONFIG_DIR}/default.theme ${CONFIG_DIR}
echo
echo "+---------------"
echo "| The $1 configuration files have been installed in ${CONFIG_DIR}."
echo "| Please view these files and change the configuration to meet"
echo "| your needs."
echo "+---------------"
echo
}
# Function: tell the user what they need to do to use the port just installed
#
do_notice_conf()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files in ${CONFIG_DIR} have NOT"
echo "| been changed. You may want to compare them to the current samples"
echo "| in ${SAMPLE_CONFIG_DIR}, and update your configuration files"
echo "| as needed."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ ! -d ${CONFIG_DIR} ]; then
do_install_conf "$1"
else
do_notice_conf "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -0,0 +1,9 @@
@comment $OpenBSD: PFRAG.shared,v 1.1.1.1 2000/12/26 22:33:29 reinhard Exp $
lib/irssi/modules/libfe_common_irc_dcc.so.0.0
lib/irssi/modules/libfe_common_irc_flood.so.0.0
lib/irssi/modules/libfe_common_irc_notifylist.so.0.0
lib/irssi/modules/libirc_dcc.so.0.0
lib/irssi/modules/libirc_flood.so.0.0
lib/irssi/modules/libirc_notifylist.so.0.0
lib/irssi/modules/libproxy.so.0.0
NEWDYNLIBDIR(%D/lib/irssi/modules)

141
net/irssi/pkg/PLIST Normal file
View File

@ -0,0 +1,141 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2000/12/26 22:33:29 reinhard Exp $
bin/irssi
doc/irssi/botnet.txt
doc/irssi/design.txt
doc/irssi/formats.txt
doc/irssi/manual.txt
doc/irssi/perl.txt
doc/irssi/signals.txt
doc/irssi/special_vars.txt
doc/irssi/startup-HOWTO.txt
lib/irssi/modules/libfe_common_irc_dcc.a
lib/irssi/modules/libfe_common_irc_dcc.la
lib/irssi/modules/libfe_common_irc_flood.a
lib/irssi/modules/libfe_common_irc_flood.la
lib/irssi/modules/libfe_common_irc_notifylist.a
lib/irssi/modules/libfe_common_irc_notifylist.la
lib/irssi/modules/libirc_dcc.a
lib/irssi/modules/libirc_dcc.la
lib/irssi/modules/libirc_flood.a
lib/irssi/modules/libirc_flood.la
lib/irssi/modules/libirc_notifylist.a
lib/irssi/modules/libirc_notifylist.la
lib/irssi/modules/libproxy.a
lib/irssi/modules/libproxy.la
share/examples/irssi/colorless.theme
share/examples/irssi/config
share/examples/irssi/default.theme
share/irssi/help/action
share/irssi/help/admin
share/irssi/help/alias
share/irssi/help/away
share/irssi/help/ban
share/irssi/help/bantype
share/irssi/help/beep
share/irssi/help/cat
share/irssi/help/cd
share/irssi/help/channel
share/irssi/help/clear
share/irssi/help/connect
share/irssi/help/ctcp
share/irssi/help/cycle
share/irssi/help/date
share/irssi/help/dcc
share/irssi/help/dehilight
share/irssi/help/deop
share/irssi/help/devoice
share/irssi/help/die
share/irssi/help/disconnect
share/irssi/help/echo
share/irssi/help/eval
share/irssi/help/format
share/irssi/help/hash
share/irssi/help/help
share/irssi/help/hilight
share/irssi/help/ignore
share/irssi/help/info
share/irssi/help/invite
share/irssi/help/invitelist
share/irssi/help/ircnet
share/irssi/help/ison
share/irssi/help/join
share/irssi/help/kick
share/irssi/help/kickban
share/irssi/help/kill
share/irssi/help/knockout
share/irssi/help/lastlog
share/irssi/help/links
share/irssi/help/list
share/irssi/help/log
share/irssi/help/lusers
share/irssi/help/map
share/irssi/help/me
share/irssi/help/mircdcc
share/irssi/help/mode
share/irssi/help/motd
share/irssi/help/msg
share/irssi/help/names
share/irssi/help/nctcp
share/irssi/help/netsplit
share/irssi/help/nick
share/irssi/help/note
share/irssi/help/notice
share/irssi/help/notify
share/irssi/help/op
share/irssi/help/oper
share/irssi/help/part
share/irssi/help/perlflush
share/irssi/help/ping
share/irssi/help/query
share/irssi/help/quit
share/irssi/help/quote
share/irssi/help/rawlog
share/irssi/help/reconnect
share/irssi/help/reload
share/irssi/help/restart
share/irssi/help/rmreconns
share/irssi/help/rping
share/irssi/help/run
share/irssi/help/save
share/irssi/help/sconnect
share/irssi/help/scrollback
share/irssi/help/server
share/irssi/help/servlist
share/irssi/help/set
share/irssi/help/silence
share/irssi/help/squery
share/irssi/help/squit
share/irssi/help/stats
share/irssi/help/time
share/irssi/help/toggle
share/irssi/help/topic
share/irssi/help/trace
share/irssi/help/ts
share/irssi/help/unalias
share/irssi/help/unban
share/irssi/help/unignore
share/irssi/help/unnotify
share/irssi/help/unquery
share/irssi/help/unsilence
share/irssi/help/uping
share/irssi/help/userhost
share/irssi/help/ver
share/irssi/help/version
share/irssi/help/voice
share/irssi/help/wall
share/irssi/help/wallchops
share/irssi/help/wallops
share/irssi/help/who
share/irssi/help/whois
share/irssi/help/whowas
share/irssi/help/window
share/irssi/help/wjoin
share/irssi/help/wquery
%%SHARED%%
@dirrm share/irssi/help
@dirrm share/irssi
@dirrm share/examples/irssi
@dirrm lib/irssi/modules
@dirrm lib/irssi
@dirrm doc/irssi
@dirrm doc